Subject: [eppext] draft-brown-epp-fees-03: Validity Periods

From: Santosh Kalsangrah <[email-masked]>
Date: Tue, 30 Dec 2014 09:49:44 +0000

Hi There,

Section 2.3 of extension is bit ambiguous. By reading this section it looks like validity period <domain:periodType> can be provided in <create>, <renew> and <transfer> commands.

By reviewing examples and schema, it can be included in <info>/<info> response, <check>/<check> response and <transfer> query response only. In other words it can be used only in query commands and their responses. It cannot be used in <create>, <renew> and <transfer> request commands.

My understanding is that it is for query commands and their responses only. It is not for transformational commands (<create>, <renew> and <transfer> request).

Can this section be modified to clarify this?

Thanks,
Santosh Kalsangrah
Impetus Infotech (I) Pvt. Ltd

________________________________

NOTE: This message may contain information that is confidential, proprietary, privileged or otherwise protected by law. The message is intended solely for the named addressee. If received in error, please destroy and notify the sender. Any use of this email is prohibited when received in error. Impetus does not represent, warrant and/or guarantee, that the integrity of this communication has been maintained nor that the communication is free of errors, virus, interception or interference.

---

From: Gavin Brown <[email-masked]>
Date: Wed, 31 Dec 2014 12:32:52 +0000

On 30/12/2014 09:49, Santosh Kalsangrah wrote:
> Hi There,
> 
> Section 2.3 of extension is bit ambiguous. By reading this section it
> looks like validity period <domain:periodType> can be provided in
> <create>, <renew> and <transfer> commands.
> 
> By reviewing examples and schema, it can be included in <info>/<info>
> response, <check>/<check> response and <transfer> query response only.
> In other words it can be used only in query commands and their
> responses. It cannot be used in <create>, <renew> and <transfer> request
> commands.
> 
> My understanding is that it is for query commands and their responses
> only. It is not for transformational commands (<create>, <renew> and
> <transfer> request).
> 

Thanks for the feedback. I have updated my working copy based on your
suggestion.

Revised text:

   When querying for fee information using the <check> or <info>
   commands, the <fee:period> element is used to indicate the units to
   be added to the registration period of domain names by the <create>,
   <renew> and <transfer> commands.  This element is derived from the
   <domain:period> element described in [RFC5731].

   The <fee:period> element is OPTIONAL in <check> and <info>
   commands: if omitted, the server MUST determine the fee(s)
   using a validity period of 1 year.  The <fee:period> element MUST be
   present in <check> and <info> commands and responses.

G.

-- 
Gavin Brown
Chief Technology Officer
CentralNic Group plc (LSE:CNIC)
Innovative, Reliable and Flexible Registry Services
for ccTLD, gTLD and private domain name registries
https://www.centralnic.com/

CentralNic Group plc is a company registered in England and Wales with
company number 8576358. Registered Offices: 35-39 Moorgate, London,
EC2R 6AR.

---

From: Santosh Kalsangrah <[email-masked]>
Date: Wed, 31 Dec 2014 13:58:23 +0000

> -----Original Message-----
> From: Gavin Brown [mailto:[email-masked]]
> Sent: Wednesday, December 31, 2014 6:03 PM
> To: Santosh Kalsangrah; [email-masked]
> Subject: Re: [eppext] draft-brown-epp-fees-03: Validity Periods
>
> > responses. It cannot be used in <create>, <renew> and <transfer>
> > request commands.
> >

Thanks, this is clearer now.

Thanks,
Santosh Kalsangrah

> Innovative, Reliable and Flexible Registry Services for ccTLD, gTLD and private
> domain name registries https://www.centralnic.com/
>
> company number 8576358. Registered Offices: 35-39 Moorgate, London, EC2R
> 6AR.